------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>303
--/reloadlua Script/zhongqiu2-2.lua

CppScriptMgr:SetViewPosByCell(62,37)
------------------------------------------------------------------------------------
CppScriptMgr:SetViewScale(300)
CppScriptMgr:ChangeScreenColor(9000,"0x36708090","0x36708090")
local Player_1=CppScriptMgr:AddSimplePlayer(1055830,62,37,"HouYi",0,0)
Player_1:SetDir(6)
Player_1:SetZoomPercent(150)
local Player_2=CppScriptMgr:AddSimplePlayer(1055840,65,35,"Chang`e",0,0)
Player_2:SetDir(0)
Player_2:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(500)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("Without you, the immortality is just torture.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:Say("Without you, the immortality is just torture.",2000)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("Let`s just be a happy common couple. ",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_2:Say("Let`s just be a happy common couple. ",2000)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(103)
CppScriptMgr:NpcCallOut("You must hide the Immortality Pill carefully.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:Say("You must hide the Immortality Pill carefully.",2000)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(103)
CppScriptMgr:NpcCallOut("Rest easy. It is safe in this chest.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_2:Say("Rest easy. It is safe in this chest.",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetViewPosByCell(61,52)
CppScriptMgr:SetLightScreen(1500)
Player_2:SetPos(61,50)
Player_2:SetDir(0)
Player_1:SetPos(71,58)
Player_1:SetHide(1)
Player_1:SetDir(6)
local Effect_1=CppScriptMgr:AddEffect("zf2-e233",60,56,33)
CppScriptMgr:WaitMilSec(1000)
local Player_3=CppScriptMgr:AddSimplePlayer(1065650,60,56,"PangMeng",0,0)
Player_3:SetDir(4)
Player_3:SetZoomPercent(150)
CppScriptMgr:ClearEffect(Effect_1)
Player_2:SetAction(101)
CppScriptMgr:NpcCallOut("What are you up to, Pang Meng? It`s so late at night.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_2:Say("What are you up to, Pang Meng? It`s so late at night.",2000)
CppScriptMgr:WaitMilSec(2000)
Player_3:SetAction(200)
Player_3:Say("Well, since the teacher don`t use the pill, why don`t you give it to me?",2000)
CppScriptMgr:NpcCallOut("Well, since the teacher don`t use the pill, why don`t you give it to me?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc207",150,430,"PangMeng",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(230)
CppScriptMgr:NpcCallOut("No way! I`d rather take it myself!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_2:Say("No way! I`d rather take it myself!",2000)
CppScriptMgr:WaitMilSec(2000)
Player_3:SetAction(230)
Player_3:Say("Don`t be so stubborn!",2000)
CppScriptMgr:NpcCallOut("Don`t be so stubborn!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc207",150,430,"PangMeng",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_3:SetAction(401)
local Effect_2=CppScriptMgr:AddEffect("Ia_Cir",61,50,33)
Player_2:SetAction(330)
CppScriptMgr:NpcCallOut("I will never give it to you!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_2:Say("I will never give it to you!",2000)
CppScriptMgr:WaitMilSec(2500)
Player_2:SetAction(101)
Player_2:AddEffect("899140",33)
Player_3:SetAction(160)
Player_3:Say("No! You took the only Immortality Pill!",2000)
CppScriptMgr:NpcCallOut("No! You took the only Immortality Pill!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc207",150,430,"PangMeng",250,655)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:WaitMilSec(1000)
local Effect_4=CppScriptMgr:AddEffect("zero8159",61,50,33)
Player_2:SetAction(10)
CppScriptMgr:NpcCallOut("Forgive me, Hou Yi!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_2:Say("Forgive me, Hou Yi!",2000)
CppScriptMgr:WaitMilSec(2000)
local Effect_8=CppScriptMgr:AddEffect("zf2-e233",61,50,33)
CppScriptMgr:WaitMilSec(1000)
local Effect_3=CppScriptMgr:AddEffect("QL_YiShan",69,56,33)
local Effect_5=CppScriptMgr:AddEffect("zf2-e233",61,50,33)
Player_1:SetHide(0)
Player_1:RunTo(61,48)
CppScriptMgr:NpcCallOut("Chang`e!!!",1000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:Say("Chang`e!!!",2000)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:DelPlayer(Player_2)
CppScriptMgr:ClearEffect(Effect_4)
Player_1:SetDir(0)
Player_1:AddEffect("zf2-e307-2",33)
Player_1:SetAction(160)
Player_3:SetAction(220)
Player_3:SetFrameInterval(1000)
CppScriptMgr:NpcCallOut("You dirty dog! I won`t forgive you!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQHy",150,430,"HouYi",250,655)
Player_1:Say("You dirty dog! I won`t forgive you!",2000)
Player_3:Say("Please! Please!",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
